Subject: Re: 24.1.50; unexec/unexmacosx doesn't grok GCC 4.6+ sections

From: Paul Eggert <[email-masked]>
Date: Sun, 05 Oct 2014 19:47:03 -0700

Stefan Monnier wrote:
>>> I cannot check whether trunk, GNU Emacs 25.0.50, can be compiled because
>>> I get an error when I try to build
>> Thanks, I just now fixed that, in trunk bzr 118056.
>
> Did this bug affect 24.3 as well?

The little bug that I fixed in trunk bzr 118056 was present only in the trunk; 
it's never been in the emacs-24 branch.  I think this little bug was introduced 
in trunk bzr 117587 on 2014-07-27.

Bug#9927 itself affects 24.3 (and 23) as well.  Apparently Emacs has been 
unbuildable with GCC 4.6+ for quite some time on OS X.  This bigger bug was 
fixed in trunk bzr 117896, but that fix was apparently too late for the Emacs 
24.4 cutoff.